IEC 61850 User Feedback Task Force - Bug #6263

GOOSE MinTime / Max Time - Probable discrepancy between Part-6 and Part-8

02/14/2023 05:24 AM - Abhilash Appukuttan

Status: Resolved Start date: 02/14/2023

Priority: Normal Due date:

Assignee: Camille Bloch % Done: 0%

Category: Standard options reduction required Estimated time: 0.00 hour

Target version:

ID: To discuss in WG10: No

Source: Short Proposal: Update 61850-6 SCL schema

TF Unique ID: Standard(s): IEC 61850-6

WG10 Proposal: Needs More No
Information:

Estimated Assigned TF: 61850-6

Completion:

Discuss in Upcoming No

Meeting:

Description

In Part 6, the MinTime and MaxTime is expressed as 'Decimal’

<xs:complexType name="tGSE">

<xs:complexContent>

<xs:extension base="tControlBlock">

<xs:sequence>

<xs:element name="MinTime" type="tDurationInMilliSec" minOccurs="0"/>
<xs:element name="MaxTime" type="tDurationInMilliSec" minOccurs="0"/>
</xs:sequence>

</xs:extension>

</xs:complexContent>

</xs:complexType>

<xs:complexType name="tDurationInMilliSec">

<xs:simpleContent>

<xs:extension base="xs:decimal">

<xs:attribute name="unit" type="tSIUnitEnum" use="optional" fixed="s"/>
<xs:attribute name="multiplier" type="tUnitMultiplierEnum" use="optional" fixed="m"/>
</xs:extension>

</xs:simpleContent>

</xs:complexType>

However, in 8-1, the MinTime and MaxTime is an Unsigned32 / INT32U

MinTime Unsigned32 r o INT32U — As specified in the SCD
file for the GoCB, See 1
MaxTime Unsigned32 r o INT32U — As specified in the SCD
file for the GoCB. See 1

What shall the ICT process the values as? Input as Decimal and then pass it as Integer to the application?

Or does it makes sense to change the -6 to have these values as Integer?
If you look at Table 45 in -6, it does point to that way.

INT8, INT16, INT24, INT32,

INT64

INT8U, INT16U, INT32U
An integer number, no decimal fraction (99999)

Proposal descriptions
Change MinTime and MaxTime base to Unsigned Integer 32 from Decimal in part 61850-6.

History

#1 - 02/14/2023 05:26 AM - Abhilash Appukuttan

- Description updated

#2 - 06/07/2023 05:16 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#3 - 06/20/2023 08:44 AM - Carlos Rodriguez del Castillo
- Category set to Standard options reduction required

- Status changed from New to Resolved

- Assignee set to Camille Bloch

- Discuss in Upcoming Meeting changed from Yes to No

- Proposal descriptions updated

- Short Proposal set to Update 61850-6 SCL schema

- Standard(s) set to IEC 61850-6

- Assigned TF 61850-6 added

Accepted. New tissue #1874 has been created.
https://redmine.ucaiug.org/issues/1874
http://www.tcpdf.org

